function construct_cortical_surface_model(p)
% Construct cortical surface model from T1 image using FreeSurfer
%
% Copyright (C) 2011, ATR All Rights Reserved.
% License : New BSD License(see VBMEG_LICENSE.txt)


disp(mfilename);

% Set input file
T1_file = fullfile(p.proj_root, p.dirname.t1, ['m' p.struct_name '.nii']);

% Set output directory
fs_root_dir = fullfile(p.proj_root, p.dirname.fs);
if exist(fs_root_dir, 'dir') ~= 7
    vb_mkdir(fs_root_dir);
end

% Apply FreeSurfer to T1 image
vb_freesurfer_run(T1_file, fs_root_dir, p.struct_name);