function import_T1(p)
% convert T1 DICOM files to NIfTI(.nii)
%
% Copyright (C) 2011, ATR All Rights Reserved.
% License : New BSD License(see VBMEG_LICENSE.txt)

disp(mfilename);

% Set input file
input_file = fullfile(p.raw_data_root, 'T1', 'defaced.nii');

% % Set output directory
output_dir = fullfile(p.proj_root, p.dirname.t1);
if exist(output_dir, 'dir') ~= 7
    mkdir(output_dir);
end

% Copy T1 file
copyfile(input_file, output_dir)

% Rename
t1_out_file = fullfile(output_dir, [p.struct_name '.nii']);
movefile(fullfile(output_dir, 'defaced.nii'), t1_out_file);

disp(sprintf('T1 NIfTI file is created : %s', t1_out_file));