function import_eeg(p)
% Import EEG data
%
% Copyright (C) 2011, ATR All Rights Reserved.
% License : New BSD License(see VBMEG_LICENSE.txt)

disp(mfilename);

% Set parameters
eeg_parm = vb_set_meg_parm_brainamp;

for run=1:p.num_run
    % Set input file
    file_name = sprintf('run%02d', run);
    eeg_parm.measurement_file = fullfile(p.raw_data_root, 'EEG', p.task, [file_name '.eeg']);
    eeg_parm.pos_file = fullfile(p.raw_data_root, 'EEG', p.task, ['allruns.pos.mat']);

    % Set output file (relative path from proj_root)
    eeg_parm.output_file = fullfile(p.dirname.modality, p.dirname.load, p.task, [file_name '.eeg.mat']);

    % Import EEG
    vb_job_meg(p.proj_root, eeg_parm)
end