function import_squid(p)
% Import SQUID-MEG data
%
% Copyright (C) 2011, ATR All Rights Reserved.
% License : New BSD License(see VBMEG_LICENSE.txt)

disp(mfilename);

% Set parameters
meg_parm = vb_set_yokogawa_meg_parm;

for run=1:p.num_run
    % Set input file
    file_name_temp = sprintf('_run%02d', run);
    file_name = sprintf('run%02d', run);
    meg_parm.yokogawa_file = fullfile(p.raw_data_root, 'SQUID', p.task, [file_name '.con']);
    meg_parm.pos_file = fullfile(p.raw_data_root, 'SQUID', p.task, [file_name '.pos.mat']);

    % Set output file (relative path from proj_root)
    meg_parm.meg_file = fullfile(p.dirname.modality, p.dirname.load, p.task, [file_name_temp '.meg.mat']);
    meg_parm.saveman.data_dir = ['./' file_name_temp];

    % Import MEG to temp file
    vb_job_meg(p.proj_root, meg_parm)

    % Merge separated MEG files to single bexp in meg.mat
    file_temp = fullfile(p.proj_root, p.dirname.modality, p.dirname.load, p.task, [file_name_temp '.meg.mat']);
    file = fullfile(p.proj_root, p.dirname.modality, p.dirname.load, p.task, [file_name '.meg.mat']);
    loadspec = [];
    loadspec.ChannelType = 'ALL';
    loadspec.ActiveChannel = false;
    loadspec.ActiveTrial = false;
    vb_load_meg_data(file_temp, loadspec, file);

    % Remove temp files
    dir_temp = fullfile(p.proj_root, p.dirname.modality, p.dirname.load, p.task, [file_name_temp]);
    delete(file_temp)
    rmdir(dir_temp, 's')
end
