function correct_trigch_eeg(p, input_dirname)
% Re-define the trigger ch as consistent name
%
% Copyright (C) 2011, ATR All Rights Reserved.
% License : New BSD License(see VBMEG_LICENSE.txt)

disp(mfilename);

% Set input directory
input_dir = fullfile(p.proj_root, p.dirname.modality, input_dirname, p.task);

% Set trigger
switch p.task
    case {'Auditory', 'Somatosensory', 'Rest'}
        trig_ch = 'EXT1';
    case 'Motor'
        error('This is not for Motor task')
end

new_trig_ch = 'trigger_pulse';
trig_ch_type = 1;

% Correct the definition
for run = 1:p.num_run
    file_name = [sprintf('run%02d', run), '.eeg.mat'];
    eeg_file = fullfile(input_dir, file_name);
    
    % Load trigger data
    loadspec = [];
    loadspec.ChannelName = {trig_ch}; 
    [trg, channel_info, time_info] = vb_load_meg_data(eeg_file, loadspec);

    % Append corrected trg ch to input file
    append_ch = [];
    append_ch.data = trg;
    append_ch.name = new_trig_ch;
    append_ch.type = trig_ch_type;
    append_extra_ch(eeg_file, append_ch)
end
