function p = set_badch(p)
% Append manually-selected bad channels to parameters.
%
% Copyright (C) 2011, ATR All Rights Reserved.
% License : New BSD License(see VBMEG_LICENSE.txt)

%% Define the table for bad channels
badch_table_squid = cell2table(cell(5,4),...
    'VariableNames', {'Auditory', 'Motor', 'Somatosensory', 'Rest'}, ...
    'RowNames', {'002', '005', '006', '093', '095'});

badch_table_eeg = cell2table(cell(5,4),...
    'VariableNames', {'Auditory', 'Motor', 'Somatosensory', 'Rest'}, ...
    'RowNames', {'002', '005', '006', '093', '095'});

badch_table_opm = cell2table(cell(5,4),...
    'VariableNames', {'Auditory', 'Motor', 'Somatosensory', 'Rest'}, ...
    'RowNames', {'002', '005', '006', '093', '095'});

%% Set noisy channels to the table
% --- OPM ---
% 002
badch_table_opm.Auditory{'002'}      = {'M005_y'};
badch_table_opm.Motor{'002'}         = {'M005_y'};
badch_table_opm.Somatosensory{'002'} = {'M005_y'};
% 005
badch_table_opm.Auditory{'005'}      = {'M005_y'};
badch_table_opm.Motor{'005'}         = {'M005_y'};
badch_table_opm.Somatosensory{'005'} = {'M005_y'};
% 006
badch_table_opm.Auditory{'006'}      = {};
badch_table_opm.Motor{'006'}         = {};
badch_table_opm.Somatosensory{'006'} = {};
% 093
badch_table_opm.Auditory{'093'}      = {'M005_y'};
badch_table_opm.Motor{'093'}         = {'M005_y'};
badch_table_opm.Somatosensory{'093'} = {'M005_y'};

%% Extract param for specified subject and task
switch p.dirname.modality
    case 'squid-meg'
        badch = badch_table_squid.(p.task){p.sub};
    case 'eeg'
        badch = badch_table_eeg.(p.task){p.sub};
    case 'opm-meg'
        badch = badch_table_opm.(p.task){p.sub};
end

% Append to the parameter
p.badch = badch;