close all

rdir = ['/home/dcfs2/oyamashi/matlab/vbmeg/debug/'];
areafile  = [rdir 'testdata/10000fb.area.mat'];
inflatefile = [rdir 'testdata/10000fb.inflate.mat'];
brainfile = [rdir 'testdata/10000fb.brain.mat'];

basisfile = [rdir 'testdata/simudata/c0000fc_bem.basis.mat'];
megfile   = [rdir 'testdata/simudata/retino_bk10_gS10_gB10.meg.mat'];
resultfile = ['result_simu.mat'];

load(megfile, 'bexp')
load(basisfile, 'basis');
load(resultfile, 'Dts', 'Dix', 'option', 'Dtval');
basis = basis';
[Nj] = size(basis, 2);
[Nwindow] = length(Dts);
Twin = option.Twindow;  

B = mean(bexp(:,option.twin_meg(1):option.twin_meg(2),:),3);
[Nch,Nt] = size(B);
J = zeros(Nj, Nt);
Jt = zeros(Nj, Nt);


for nw = 1 : Nwindow
    % dipole time series
    D(:,Twin(nw,1):Twin(nw,2))=Dts{nw};
    % t-value
    Dt(:,Twin(nw,1):Twin(nw,2))=Dtval{nw};
    % current reconstruction
    J(Dix{nw}, Twin(nw,1):Twin(nw,2))=Dts{nw};
    % tvalue of current reconstruction
    Jt(Dix{nw}, Twin(nw,1):Twin(nw,2))=Dtval{nw};
    % GoF
    Bdata = B(:,Twin(nw,1):Twin(nw,2));
    Bhat =  basis(:,Dix{nw})*Dts{nw};
    Gof(Twin(nw,1):Twin(nw,2)) = 1-sum((Bdata-Bhat).*(Bdata-Bhat),1)./sum(Bdata.*Bdata,1);
end

plot([1:Nt], Gof);
ylabel('GoF');

figure
plot([1:Nt], D);
ylabel('Amplitude');
legend('UL', 'LL', 'LR', 'UR');

figure
plot([1:Nt], Dt);
ylabel('T-value')
legend('UL', 'LL', 'LR', 'UR');


%timepoint = [447,651]; %UL
% timepoint = [404, 486 547 601 822] %LL
%  timepoint = [460, 500 510 584] %UR
% timepoint = [493 501 573]; % LR
% for i = 1 : length(timepoint)
%     act.xxP = J(:,timepoint(i));
%     act.key = ['LR_dip_' num2str(timepoint(i))];
%     add_act('result.act.mat',act);
% end