function parm = setParmFilter
%

[settings, button] = settingsdlg(...
    'title', 'Setting Filter Params',...
    {'Channel Number'; 'SchanNum'}, '1:64',...
    'separator'  , 'Lowpass Filter Options',...
    {'Use'; 'lowpass_check'}, [true, false],...
    {'Cutoff';'lowpass_freq'}, 50,...
    {'Type'; 'lowpass_filtertype'} , {'butter','eegfilt','onlinebutter'},...
    {'Order'; 'lowpass_filterorder'}, 3,...
    'separator'  , 'Highpass Filter Options',...
    {'Use'; 'highpass_check'}, [true, false],...
    {'Cutoff';'highpass_freq'}, 0.5,...
    {'Type'; 'highpass_filtertype'} , {'butter','eegfilt','onlinebutter','onlineexp'},...
    {'Order'; 'highpass_filterorder'}, 3,...
    'separator'  , 'Bandpass Filter Options',...
    {'Use'; 'bandpass_check'}, [true, false],...
    {'Cutoff';'Sbandpass_freq'}, '[10 50]',...
    {'Type'; 'bandpass_filtertype'} , {'butter','eegfilt','onlinebutter'},...
    {'Order'; 'bandpass_filterorder'}, 3,...
    'separator'  , 'Bandstop Filter Options',...
    {'Use'; 'bandstop_check'}, [true, false],...
    {'Cutoff';'Sbandstop_freq'}, '[55 65]',...
    {'Type'; 'bandstop_filtertype'} , {'butter'},...
    {'Order'; 'bandstop_filterorder'}, 4 );

if strcmp(button, 'OK') == 1
    parm = settings;
    parm.chanNum = eval(settings.SchanNum);
    parm.bandpass_freq = eval(settings.Sbandpass_freq);
    parm.bandstop_freq = eval(settings.Sbandstop_freq);

    if parm.lowpass_check == 0, parm.lowpass_filtertype = []; end
    if parm.highpass_check == 0, parm.highpass_filtertype = []; end
    if parm.bandpass_check == 0, parm.bandpass_filtertype = []; end
    if parm.bandstop_check == 0, parm.bandstop_filtertype = []; end
    parm = rmfield(parm, {'SchanNum', 'Sbandpass_freq', 'Sbandstop_freq', ...
        'lowpass_check', 'highpass_check', 'bandpass_check', 'bandstop_check'});
    
    parm = orderfields(parm);
else
    error('Cancelled !!'); 
end
    