function tfr_info = get_tfr_info(tfrfile)
% Get measurement
[measurement, device] = vb_load_device(tfrfile);
Measurement = upper(measurement);

switch Measurement
    case 'INFO'
        load(tfrfile, 'fileinfo');
        filename = fileinfo.filename{1};
    case {'MEG', 'EEG'}
        filename = tfrfile;
end

% Get tfr info
tfr_info = inner_tfr_info(filename);

end

function tfr_info = inner_tfr_info(tfr_file)
time_info = struct;

% Calculate time
meginfo = vb_load_meg_info(tfr_file);
Nsample = vb_meginfo_get_sample_number(meginfo);
time = vb_index_to_time(1:Nsample, meginfo) / 1000;

% Create time_info
time_info.time = time;
time_info.sample_frequency = vb_meginfo_get_sampling_frequency(meginfo);

% Append frequency and method
load(tfr_file, 'frequency', 'tfr_parm');
tfr_info = time_info;
tfr_info.frequency = frequency;
tfr_info.method = tfr_parm.method;

if strcmp(tfr_info.method,'hilbert') || strcmp(tfr_info.method,'bandpass')
    tfr_info.freq_band_table = tfr_parm.freq_band_table;
end

end % --- end of inner_tfr_info()
