function vb_delete_tfr_data(tfr_file)
% Delete tfr file
%
% tfr_file  : TFR file.%
%

% Check existance
if ~exist(tfr_file, 'file')
    warning('Input file is not exist')
end

% Get measurement
[measurement, device] = vb_load_device(tfr_file);
Measurement = upper(measurement);

switch Measurement

case 'INFO'
load(tfr_file, 'fileinfo');

% Delete all files specified by input info file
disp(['Input is INFO file.' newline 'Delete all files specified by fileinfo.'])

for ff=1:length(fileinfo.filename)
    vb_delete_tfr_data(fileinfo.filename{ff})
end

% --- End of case 'INFO' ---

case {'MEG', 'EEG'}

meginfo = vb_tfrfile_load_meginfo(tfr_file);

% If saveman.data_dir is not specified, save_internal became true in vb_make_tfr_data
% Then, TFR of all ch were saved in a single file
% Otherwise, TFR of channels were separately saved in different files
if ~isfield(meginfo.saveman,'data_dir') || isempty(meginfo.saveman.data_dir)
    delete(tfr_file)
    disp(['Deleted file:' tfr_file])
else
    % TFR of each channel was separately saved in real_dir
    [base_dir] = fileparts(tfr_file);
    real_dir = fullfile(base_dir, meginfo.saveman.data_dir);
    % Delete tfr_file
    delete(tfr_file)
    disp(['Deleted file:' tfr_file])
    % Delete real_dir (all files are deleted in real_dir)
    rmdir(real_dir ,'s')
    disp(['Deleted directory:' real_dir])
end


end


% --- End of case 'MEG' or 'EEG' ---
