function meginfo = vb_tfrfile_load_meginfo(tfr_file)

% Get Measurement
[measurement, device] = vb_load_device(tfr_file);
Measurement = upper(measurement);

if strcmp(Measurement, 'INFO')
    % In case of info.mat, load the first file
    warning(['Input file is INFO.' newline 'Load the MEGinfo of the first file.'])
    load(tfr_file, 'fileinfo');
    tmp_file = fileinfo.filename{1};

    % Get Measurement of the first file
    [measurement, device] = vb_load_device(tmp_file);
    Measurement = upper(measurement);

else
    tmp_file = tfr_file;
end

% Get meginfo
switch Measurement
    case 'MEG'
        meginfo = vb_megfile_load_meginfo(tmp_file);

    case 'EEG'
        % In case of EEG, convert EEGinfo to MEGinfo
        % warning(['Input file is EEG.' newline 'EEGinfo was converted to MEGinfo.'])
        E = load(tmp_file, 'EEGinfo');
        B = convert_eeg2meg(E);
        meginfo = B.MEGinfo;
        
    otherwise
        error('Check input file');
end