function val_minmax = minmax_with_margine(val, m_percent, mode)
% mode 
%  (1 and 2 calc symmetric margine for min and max)
%  1: Calc margine using whole data interval (default). 
%  2: Calc margine using the larger absolute value of the min and max values.
%  3: Calc margine using min and max values independently.

if ~exist('mode','var') || isempty(mode)
    mode = 1;
end

m = m_percent*0.01;

val_min = min(val(:));
val_max = max(val(:));

val_interval = abs(val_max - val_min);

switch mode
    case 1
        margine_min = val_interval * m;
        margine_max = margine_min;
    case 2
        margine_min = max(abs(val_min),abs(val_max)) * m;
        margine_max = margine_min;
    case 3
        margine_min = abs(val_min) * m;
        margine_max = abs(val_max) * m;
end

val_min = inner_add_margine(val_min, margine_min);
val_max = inner_add_margine(val_max, margine_max);

val_minmax = [val_min, val_max];

end


function val = inner_add_margine(val, margine)
    if val>0
        val = val + margine;
    else
        val = val - margine;
    end
end